unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, Menus, unit2, ExtDlgs;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Graf1: TMenuItem;
    Novy1: TMenuItem;
    Uloit1: TMenuItem;
    Konec1: TMenuItem;
    Image1: TImage;
    SavePictureDialog1: TSavePictureDialog;
    procedure FormCreate(Sender: TObject);
    procedure Novy1Click(Sender: TObject);
    procedure Konec1Click(Sender: TObject);
    procedure Uloit1Click(Sender: TObject);
  private
    { Private declarations }
    procedure drawGraph(a,fn:integer;dm,hm:real);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var color:TColor;
begin
 color:=Image1.Canvas.Pen.Color;
 Image1.Canvas.Pen.Color := clWhite;
 Image1.Canvas.FillRect(Rect(0,0,Image1.Width,Image1.Height));
 Image1.Canvas.Pen.Color := color;
 Image1.Canvas.MoveTo(0,Image1.Height div 2);
 Image1.Canvas.LineTo(Image1.width,Image1.Height div 2);
 Image1.Canvas.MoveTo(Image1.Width div 2, 0);
 Image1.Canvas.LineTo(Image1.Width div 2, Image1.Height);
end;

procedure TForm1.Novy1Click(Sender: TObject);
var a,fn:integer;
    dm,hm:real;
begin
 if form2.ShowModal = mrOk then
 begin
  a:= strtoint(form2.ComboBox1.Items[form2.ComboBox1.itemindex]);
  fn := form2.ComboBox2.ItemIndex;
  case form2.ComboBox3.ItemIndex of
   0:dm:=-3*pi;
   1:dm:=-2*pi;
   2:dm:=-Pi;
  end;
  case form2.ComboBox4.ItemIndex of
   0:hm:=Pi;
   1:hm:=2*Pi;
   2:hm:=3*Pi;
  end;
  drawGraph(a,fn,dm,hm);
 end;
end;

procedure TForm1.drawGraph(a,fn:integer;dm,hm:real);
var stepx,stepy,value:real;
    i,x,y,begX,endX:integer;
begin
 stepx := 6*Pi/Image1.Width;
 stepy := Image1.Height/6;
 begX := trunc(dm/stepx);
 endX := trunc(hm/stepx);
 if fn = 0 then value := a*sin(dm + begX*stepX)
  else value:=a*cos(dm + begX*stepX);
 y:= Image1.Height div 2 + round(value*stepY);
 Image1.Canvas.MoveTo(Image1.Width div 2 + begX,y);

 for i:=begX to endX do
 begin
  if fn = 0 then value := a*sin(dm + i*stepx)
   else value:=a*cos(dm+i*stepx);
  y:= Image1.Height div 2 + round(value*stepY);
  Image1.Canvas.LineTo(Image1.Width div 2 + i, y);
 end;
end;
procedure TForm1.Konec1Click(Sender: TObject);
begin
 Application.Terminate;
end;

procedure TForm1.Uloit1Click(Sender: TObject);
begin
 if SavePictureDialog1.Execute then
 begin
  Image1.Picture.SaveToFile(SavePictureDialog1.FileName);
 end;
end;

end.
